## Apache Zeta Components Manual :: File Source for memory.php

## Source for file memory.php

Documentation is available at memory.php

1. <?php
2. /**
3. * File containing the ezcTreeMemoryDataStore class.
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package Tree
26. */
28. /**
29. * ezcTreeMemoryDataStore implements storing of node data as part of the node
30. * itself. It stores this node information in objects of the ezcTreeMemoryNode
31. * class.
32. *
33. * @package Tree
34. * @version //autogentag//
35. */
36. class ezcTreeMemoryDataStore implements ezcTreeDataStore
37. {
38. /**
39. * Deletes the data for the node $node from the data store.
40. *
41. * @param ezcTreeNode $node
42. public function deleteDataForNode( ezcTreeNode $node )
43. {
44. // This is a no-op as the data is part of the node
45. }
46. */
48. /**
49. * Deletes the data for all the nodes in the node list $nodeList.
50. *
51. * @param ezcTreeNodeList $nodeList
52. */
53. public function deleteDataForNodes ( ezcTreeNodeList $nodeList )
54. {
55. // This is a no-op as the data is part of the nodes
56. }
58. /**
59. * Deletes the data for all the nodes in the store.
60. */
61. public function deleteDataForAllNodes ()
62. {
63. // This is a no-op as the data is part of the nodes
64. }
66. /**
67. * Retrieves the data for the node $node from the data store and assigns it
68. * to the node's 'data' property.
69. *
70. * @param ezcTreeNode $node
71. */
72. public function fetchDataForNode ( ezcTreeNode $node )
73. {
74. // This is a no-op as the data is part of the node
75. }
77. /**
78. * Retrieves the data for all the nodes in the node list $nodeList and
79. * assigns this data to the nodes' 'data' properties.
80. *
81. * @param ezcTreeNodeList $nodeList
82. */
83. public function fetchDataForNodes ( ezcTreeNodeList $nodeList )
84. {
85. // This is a no-op as the data is part of the nodes
86. }
88. /**
89. * Stores the data in the node to the data store.
90. *
91. * @param ezcTreeNode $node
92. */
93. public function storeDataForNode ( ezcTreeNode $node )
94. {
95. // This is a no-op as the data is part of the node
96. }
97. }
98. ?>

Documentation generated by phpDocumentor 1.4.3